WineHQ
Wine Forums

Board index » WineHQ » Wine Help » Linux




 Page 1 of 1 [ 10 posts ] 



 
Author Message
 Post Posted: Tue Aug 06, 2019 9:28 pm 
Offline
Newbie
Newbie

Joined: Tue Aug 06, 2019 9:18 pm
Posts: 1
Warships does not run under 4.12.1, I set up another client's computer as well and he is sitting and waiting. When is 4.13 hitting ubuntu? Is canonical sitting on this?
Just would like to see my usual functional version of wine instead of this mess.


Top 
 Post Posted: Wed Aug 07, 2019 6:51 am 
Offline
Moderator
Moderator
User avatar

Joined: Tue Mar 25, 2008 10:30 pm
Posts: 12642
You didn't mention what version of Ubuntu you're using. If by chance it's 18.10, that went EOL in mid-July and we are no longer building packages for it.

As for the versions of Ubuntu we do package for (currently 16.04, 18.04, 19.04), wine-staging-4.13 packages have been available in our repository since Aug. 3.

If you're looking for distro packages, we have nothing to do with those; ask on the Ubuntu forum.


Top 
 Post Posted: Thu Aug 08, 2019 8:03 pm 
Offline
Level 2
Level 2

Joined: Mon Jan 21, 2019 1:34 pm
Posts: 16
If you want up to date packages why are you using Ubuntu? Use a distro like Manjaro that updates frequently


Top 
 Post Posted: Sat Aug 10, 2019 10:05 pm 
Offline
Level 2
Level 2

Joined: Sun Dec 16, 2012 2:04 pm
Posts: 17
There is no installation candidate for wine-staging 4.13 in the Ubuntu19.04 PPA according to apt. The winehq official PPA. Maybe the package is bugged?


Top 
 Post Posted: Sun Aug 11, 2019 2:30 am 
Offline
Level 6
Level 6

Joined: Thu Aug 14, 2014 10:10 am
Posts: 576
WineHQ doesn't use a PPA and the packages are in the repository.
Did you read the wiki to install Wine?
What is the output of
Code:
grep -R ^deb /etc/apt/sources.list*


Top 
 Post Posted: Sun Aug 11, 2019 2:32 am 
Offline
Level 12
Level 12
User avatar

Joined: Sat Oct 16, 2010 7:40 pm
Posts: 2740
Location: Cambridge
steve7233 wrote:
There is no installation candidate for wine-staging 4.13 in the Ubuntu19.04 PPA according to apt. The winehq official PPA. Maybe the package is bugged?


Hmm, just manually browsing the (non-PPA) WineHQ repository...

I'm only seeing packages up to wine 4.12.1 for Cosmic:
Code:
https://dl.winehq.org/wine-builds/ubuntu/dists/cosmic/main/binary-amd64/
https://dl.winehq.org/wine-builds/ubuntu/dists/cosmic/main/binary-i386/

No packaging of wine-devel 4.13 or wine-staging 4.13 ... :oops:

There are however wine-devel 4.13 and wine-staging 4.13 packages, for Disco:
Code:
https://dl.winehq.org/wine-builds/ubuntu/dists/disco/main/binary-amd64/
https://dl.winehq.org/wine-builds/ubuntu/dists/disco/main/binary-i386/


and Bionic:
Code:
https://dl.winehq.org/wine-builds/ubuntu/dists/bionic/main/binary-amd64/
https://dl.winehq.org/wine-builds/ubuntu/dists/bionic/main/binary-i386/

however...

Bob


Top 
 Post Posted: Sun Aug 11, 2019 6:47 am 
Offline
Moderator
Moderator
User avatar

Joined: Tue Mar 25, 2008 10:30 pm
Posts: 12642
Bob Wya wrote:
Hmm, just manually browsing the (non-PPA) WineHQ repository...

I'm only seeing packages up to wine 4.12.1 for Cosmic:
Code:
https://dl.winehq.org/wine-builds/ubuntu/dists/cosmic/main/binary-amd64/
https://dl.winehq.org/wine-builds/ubuntu/dists/cosmic/main/binary-i386/

No packaging of wine-devel 4.13 or wine-staging 4.13 ... :oops:

As I said above, 18.10 (aka cosmic) went EOL in mid July and we are no longer building packages for it.


Top 
 Post Posted: Sun Aug 11, 2019 2:28 pm 
Offline
Level 12
Level 12
User avatar

Joined: Sat Oct 16, 2010 7:40 pm
Posts: 2740
Location: Cambridge
dimesio wrote:
...
As I said above, 18.10 (aka cosmic) went EOL in mid July and we are no longer building packages for it.


Oops... Heh, heh...
Got the codenames for 18.10 and 19.04 mixed up... :oops:

Bob


Top 
 Post Posted: Wed Aug 14, 2019 5:05 pm 
Offline
Level 2
Level 2

Joined: Sun Dec 16, 2012 2:04 pm
Posts: 17
It was because of the need for FAudio. Now it shows up. After reading other threads I was able to figure it out. I bet lots of Dingo users will run into this. Hopefully, this will be easier in the future?


Top 
 Post Posted: Thu Aug 15, 2019 2:55 am 
Offline
Level 4
Level 4

Joined: Fri Dec 01, 2017 5:26 pm
Posts: 171
steve7233 wrote:
It was because of the need for FAudio. Now it shows up. After reading other threads I was able to figure it out. I bet lots of Dingo users will run into this. Hopefully, this will be easier in the future?


wine-staging enabled the use of FAudio with 4.13. If you had used wine-devel before that, you would have gotten this problem earlier :)

This will not be easier in the future unless Ubuntu chooses to package this library themselves like they do for Eoan (19.10). There IS a chance that libFAudio will be backported once Eoan is released mid october perhaps.


Top 
Display posts from previous:  Sort by  
 
 Page 1 of 1 [ 10 posts ] 




Board index » WineHQ » Wine Help » Linux


Who is online

Users browsing this forum: Bing [Bot], Google [Bot] and 20 guests

 
 

 
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:
Jump to: